const fs = require('fs');
module.exports = async function (filename, newVersion) {
    var lineReader = require('readline').createInterface({
        input: fs.createReadStream(filename)
    });
    var result = "";

    return new Promise((ff, rej) => {
        lineReader.on("line", (ln) => {
            if (ln.toString().indexOf('<Version>') >= 0) {
                // don't need a xml parser or whatever to be able to change versions
                result += ln.substring(0, ln.indexOf('<')) + `<Version>${newVersion}</Version>\n`; // I use substring to get tabulation
            }
            else {
                result += ln + "\n";
            }
        });
        lineReader.on("close", () => fs.writeFile(filename, result, () => ff()))
    });
};